package ru.pricepulse.parsingservice.ozon_parser.service.messaging;

import lombok.RequiredArgsConstructor;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.stereotype.Service;
import ru.pricepulse.parsingservice.ozon_parser.service.dto.ParsedData;

@Service
@RequiredArgsConstructor
public class ParsedDataProducer {

    private final KafkaTemplate<String, ParsedData> kafkaTemplate;

    public void sendToQueue(ParsedData data) {
        kafkaTemplate.send("parsed-data-queue", data);
    }

}
