package ru.pricepulse.parsingservice.ozon_parser.service.request;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

@Slf4j
@Service
@RequiredArgsConstructor
public class PageFetcher {

    private final RestTemplate restTemplate;

    public String fetchPage(String url) {
        log.info("Поолучение страницы {}", url);
        return restTemplate.getForObject(url, String.class);
    }

}
